Cloudsuo

Gitea

Gitea create

POST
/gitea.create

Authorization

Authorization

Request Body

application/json

giteaId?string
giteaUrl*string
Length1 <= length
giteaInternalUrl?string|null
redirectUri?string
clientId?string
clientSecret?string
gitProviderId?string
accessToken?string
refreshToken?string
expiresAt?number
scopes?string
lastAuthenticatedAt?number
name*string
Length1 <= length
giteaUsername?string
organizationName?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/gitea.create" \  -H "Content-Type: application/json" \  -d '{    "giteaUrl": "string",    "name": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea one

GET
/gitea.one

Authorization

Authorization

Query Parameters

giteaId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitea.one?giteaId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea gitea Providers

GET
/gitea.giteaProviders

Authorization

Authorization

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitea.giteaProviders"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea get Gitea Repositories

GET
/gitea.getGiteaRepositories

Authorization

Authorization

Query Parameters

giteaId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitea.getGiteaRepositories?giteaId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea get Gitea Branches

GET
/gitea.getGiteaBranches

Authorization

Authorization

Query Parameters

owner*string
Length1 <= length
repositoryName*string
Length1 <= length
giteaId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitea.getGiteaBranches?owner=string&repositoryName=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea test Connection

POST
/gitea.testConnection

Authorization

Authorization

Request Body

application/json

giteaId?string
organizationName?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/gitea.testConnection" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea update

POST
/gitea.update

Authorization

Authorization

Request Body

application/json

giteaId*string
Length1 <= length
giteaUrl*string
Length1 <= length
giteaInternalUrl?string|null
redirectUri?string
clientId?string
clientSecret?string
gitProviderId*string
accessToken?string
refreshToken?string
expiresAt?number
scopes?string
lastAuthenticatedAt?number
name*string
Length1 <= length
giteaUsername?string
organizationName?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/gitea.update" \  -H "Content-Type: application/json" \  -d '{    "giteaId": "string",    "giteaUrl": "string",    "gitProviderId": "string",    "name": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Gitea get Gitea Url

GET
/gitea.getGiteaUrl

Authorization

Authorization

Query Parameters

giteaId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitea.getGiteaUrl?giteaId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}